HoaxSpreader/urls.py
from django.urls import path

from . import views

app_name = 'HoaxSpreader'

urlpatterns = [
    path('home/', views.home, name='home'),
    path('country/', views.country, name='country'),
    path('listCountry/', views.listCountry, name='listCountry'),
    path('skor/<int:cek>/', views.skor ),
    path('<int:id>/<int:cek>/', views.pertanyaan, name='pertanyaan' ),
    
]

TestHoax/urls.py
from django.urls import path

from . import views

app_name = 'TestHoax'

urlpatterns = [
    path('', views.testhoax, name='testhoax'),
    path('soal/', views.soal, name='soal'),
    path('soal2/<int:nomor>/<int:skor>', views.soal, name='soal2'),
    path('soal3/<int:nomor>/<int:skor>', views.soal, name='soal3'),
    path('soal4/<int:nomor>/<int:skor>', views.soal, name='soal4'),
    path('soal5/<int:nomor>/<int:skor>', views.soal, name='soal5'),
    path('skorhasil/<int:nomor>/<int:skor>', views.skor, name='skor'),
    path('fiturbaru/', views.fiturbaru, name='fiturbaru'),
    path('fiturbaru/ikutkegiatan/', views.ikutkegiatan, name='ikutkegiatan'),
    path('fiturbaru/ikutkegiatan/data/', views.olahdata, name='data'),
    path('fiturbaru/buatkegiatan/', views.buatkegiatan, name='buatkegiatan'),
    path('deletekegiatan/<str:pk>', views.deletekegiatan, name='deletekegiatan'),
    path('fiturbaru/daftarkegiatan/', views.daftarkegiatan, name='daftarkegiatan'),
    path('fiturbaru/ikutkegiatan/cekdata/', views.cekdata, name='cekdata'),
    
]

forum/urls.py
from django.urls import path

from . import views

app_name = 'forum'

urlpatterns = [
    path('', views.forum, name='forum1'),
    path('category/<str:category>/', views.forum, name='forum2'),
    path('addPost/', views.editPost, name='addPost'),
    path('editPost/<int:pk>/', views.editPost, name='editPost'),
    path('posts/<int:pk>/', views.readPost, name='readPost'),
    path('editComment/<int:pk>/', views.editComment, name='editComment'),
    path('addReply/<int:pkC>/', views.editReply, name='addReply'),
    path('editReply/<int:pkC>/<int:pkR>/', views.editReply, name='editReply'),
    path('addReplyReply//<int:pkR>/', views.editReply, name='addReplyReply'),
    path('profil/<str:username>/', views.profil, name='profil'),
    path('profil/<str:username>/warnaRandom/', views.warnaRandom, name='warnaRandom'),
    path('confirmDeletePost/<int:pk>/', views.confirmDeletePost, name='confirmDeletePost'),
    path('deletePost/<int:pk>/', views.deletePost, name='deletePost'),
    path('confirmDeleteComment/<int:pk>/', views.confirmDeleteComment, name='confirmDeleteComment'),
    path('deleteComment/<int:pk>/', views.deleteComment, name='deleteComment'),
    path('confirmDeleteReply/<int:pk>/', views.confirmDeleteReply, name='confirmDeleteReply'),
    path('deleteReply/<int:pk>/', views.deleteReply, name='deleteReply'),
    path('loadMore/', views.loadMore),
    path('category/<str:category>/loadMore/', views.loadMore),
    path('search/', views.search),
    path('category/<str:category>/search/', views.search),
]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('about/', views.about, name='about'),
]

tk1ppwb12/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('userAuth/', include('userAuth.urls')),
    path('userAuth/', include('django.contrib.auth.urls')),
    path('forum/', include('forum.urls')),
    path('HoaxSpreader/',include('HoaxSpreader.urls')),
    path('TestPengetahuan/',include('TestPengetahuan.urls')),
    path('hoax_destroyer/', include('hoax_destroyer.urls')),
    path('TestHoax/', include('TestHoax.urls')),
]

userAuth/urls.py
from django.urls import path
from .views import *
from . import views
from django.contrib.auth import views as auth_views
from .forms import AccountLoginForm

app_name = 'userAuth'

urlpatterns = [
    path('signup/', Signup.as_view(), name='signup'),
    path('login/', auth_views.LoginView.as_view(authentication_form=AccountLoginForm), name='login'),
]

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="{% static 'base/css/style.css' %}">
  <link rel="shortcut icon" href="{% static 'base/img/favicon.png' %}"/>
  {% block meta %}
  {% endblock meta %}
</head>

<body>
    <div class="content">
        <div class="content-inside">
            <div class="navbar1">
                <div class="barLeft">
                    <a href="{% url 'main:home' %}" class="kanankiri"><img src="{% static 'forum/img/DiskusiSaya.png' %}" style="width:3vw; height:3vw;" /><span style="color: #80ffdb;">Fun</span><span style="color: #f28d8d;">Covid</span><span style="color: #e9ecf5;">Info</span><a>
                </div>
                <div class="barRight">
                    <ul class="listRight">
                        <li class="dropdown1">
                            <a href="" class="dropbtn">Mini Games</a>
                            <div class="dropdown-content1">
                              <a href="{% url 'hoax_destroyer:start' %}" class="dropdown-content">Hoax Destroyer</a>
                              <a href="{% url 'HoaxSpreader:home' %}" class="dropdown-content">Hoax Spreader</a>
                            </div>
                        </li>
                        <li class="dropdown2">
                            <a href="" class="dropbtn">Test</a>
                            <div class="dropdown-content2">
                              <a href="{% url 'TestHoax:testhoax' %}" class="dropdown-content">Test Hoax</a>
                              <a href="{% url 'TestPengetahuan:home' %}" class="dropdown-content">Test Pengetahuan</a>
                            </div>
                        </li>
                        <li><a href="{% url 'forum:forum1' %}" {% if request.path == '/forum/' or '/forum/category/' in request.path %}class="selected" style="padding: 0;"{% endif %}>Forum</a></li>
                        
                        {% if user.is_authenticated %}
                            <li><span class="hello">|</span></li>
                            <li>
                                <span class="hello kanankiri">
                                    Hello, 
                                    <a href="{% url 'forum:profil' user.username %}">
                                        <div class="kanankiri">
                                            {% if warnaUser %}
                                                <div class="profileKecil" style="background-color: rgb({{ warnaUser.color1 }}, {{ warnaUser.color2 }}, {{ warnaUser.color3 }});"></div>
                                            {% else %}
                                                <div class="profileKecil" style="background-color: gray;"></div>
                                            {% endif %}
                                            {{ user.username }}
                                        </div>
                                    </a>
                                </span>
                            </li>
                            <li><a href="{% url 'logout' %}" class="button1">Logout</a></li>
                        {% else %}
                            <li><a href="{% url 'userAuth:login' %}" {% if request.path == '/userAuth/login/' %}class="button1 selected-button"{% else %}class="button1"{% endif %}>Login</a></li>
                            <li><a href="{% url 'userAuth:signup' %}" {% if request.path == '/userAuth/signup/' %}class="button1 selected-button"{% else %}class="button1"{% endif %}>Sign Up</a></li>
                        {% endif %}
                    </ul>
                </div>
            </div>
            {% block content %}
            {% endblock content %}
        </div>    
    </div>
    <div class="footer1">
        <div class="atasbawah">
            <div class="barCenter">
                <a href="https://www.facebook.com/">
                    <img src="{% static 'base/img/facebook logo.png' %}" width=35px height=35px />
                </a>
                <a href="https://www.instagram.com/">
                    <img src="{% static 'base/img/instagram logo.png' %}" width=35px height=35px />
                </a>
                <a href="https://www.youtube.com">
                    <img src="{% static 'base/img/youtube logo.png' %}" width=35px height=35px />
                </a>
            </div>
            <div class="nama-nama">
                <p id="footerWord">Athallah Ferdi<br>Gerrad Michael Rico<br><span style="font-size: 0.9vw;">PPW TK1 Kelompok B12</span></P>
            </div>
            {% if message %}
                <a href="https://stories.freepik.com/user" style="font-size: 10px; text-decoration: none; color: white;">Illustration by Freepik Stories</a>
            {% endif %}
        </div>
    </div>
</body>

</html>